jmarti05
Contributor
Contributor

Solaris 10 x86 Tools Install Failure

I've got two freshly installed Solaris 10 x86 (147147-26) VMs but when I try to install the VMware tools I get the following error:

Unable to change the access rights of the file GLOB(0x833319c).

I've tried installing the 10.2, 10.3 and now 10.3.2 tools with the same error (different HEX value). VMware support has been useless.

Any ideas here?

-Jonathan

3 Replies
EugenRodekuhr
Contributor
Contributor

We have opened a ticket for this issue but no feedback right now.

Content is:

We have an issue with an incompatibility of the network drivers and solaris 10 as the OS of our VMs. We have opened a case already:

We need to use a different version of the tools to solve it.

The version which created the trouble is - Build 8068406 10.2.5 from 29/03/2018.

The version which can be instleed is - Build 6082533 from 27/07/2017 10.1.10.

The two newer versions are

- Build 9925305 from 12/09/2018 10.3.2 and

- Build 10430147 from 01/11/2018 10.3.5

These two Builds creating this error:

-rwxr-xr-x 1 root root 223628 Sep 4 12:05 vmware-install.pl

[root@ivsv706 vmware-tools-distrib]# ./vmware-install.pl

Unable to change the access rights of the file GLOB(0x8214504).

I need some advice on how to proceed, to use the much older tools seems not to be the right way.

0 Kudos
PwordDFW
Contributor
Contributor

I'm not sure if you ever got a response but this is how to fix it in version 10.3.5 of VMware tools. Edit vmware-install.pl and go to line 7132. Change this:

    safe_chmod(0600, $fh);

To this:

    safe_chmod(0600, $logfile);

The chmod function isn't expecting (and doesn't understand) a filehandle.

smis99
Contributor
Contributor

Thanks! Worked like magic.